/* start heroes/gaad-2026 */
.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
	background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_large.jpg");
}

@media only screen and (-webkit-min-device-pixel-ratio: 1.5), only screen and (min-resolution: 1.5dppx), (-webkit-min-device-pixel-ratio: 1.5), (min-resolution: 144dpi) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_large_2x.jpg");
	}
}

@media only screen and (max-width: 1068px) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_medium.jpg");
	}
}

@media only screen and (max-width: 1068px) and (-webkit-min-device-pixel-ratio: 1.5), only screen and (max-width: 1068px) and (min-resolution: 1.5dppx), only screen and (max-width: 1068px) and (min-resolution: 144dpi) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_medium_2x.jpg");
	}
}

@media only screen and (max-width: 734px) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_small.jpg");
	}
}

@media only screen and (max-width: 734px) and (-webkit-min-device-pixel-ratio: 1.5), only screen and (max-width: 734px) and (min-resolution: 1.5dppx), only screen and (max-width: 734px) and (min-resolution: 144dpi) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_small_2x.jpg");
	}
}

@media only screen and (min-width: 1069px) and (min-height: 776px) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_largetall.jpg");
	}
}

@media only screen and (min-width: 1069px) and (min-height: 776px) and (-webkit-min-device-pixel-ratio: 1.5), only screen and (min-width: 1069px) and (min-height: 776px) and (min-resolution: 1.5dppx), only screen and (min-width: 1069px) and (min-height: 776px) and (min-resolution: 144dpi) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_largetall_2x.jpg");
	}
}

@media only screen and (max-width: 1068px) and (min-width: 735px) and (min-height: 734px) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_mediumtall.jpg");
	}
}

@media only screen and (max-width: 1068px) and (min-width: 735px) and (min-height: 734px) and (-webkit-min-device-pixel-ratio: 1.5), only screen and (max-width: 1068px) and (min-width: 735px) and (min-height: 734px) and (min-resolution: 1.5dppx), only screen and (max-width: 1068px) and (min-width: 735px) and (min-height: 734px) and (min-resolution: 144dpi) {
	.main [data-module-template="heroes"] .unit-image-wrapper .unit-image.unit-image-gaad-2026-hero-gaad26 {
		background-image: url("/id/home/images/heroes/gaad-2026/hero_gaad26__gfe64qv4zxua_mediumtall_2x.jpg");
	}
}
/* end heroes/gaad-2026 */

/* start promos/wwdc26-announce */
.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .subhead {
	max-width: 575px;
}

@media only screen and (max-width: 1068px) {
	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .subhead {
		max-width: 350px;
	}
}

.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .subhead {
	max-width: 575px;
}

@media only screen and (max-width: 1339px) and (min-width: 1069px) {
	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper {
		padding-bottom: 30px !important;
	}

	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .cta-links {
		margin-top: 14px !important;
	}
}

@media only screen and (max-width: 1068px) {
	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .subhead {
		max-width: 350px;
	}
}

@media only screen and (max-width: 811px) and (min-width: 735px) {
	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper {
		padding-bottom: 19px !important;
	}

	.main [data-module-template="promos"] [data-unit-id="wwdc26-announce"] .unit-copy-wrapper .cta-links {
		margin-top: 14px !important;
	}
}
/* end promos/wwdc26-announce */

/* start promos/macbook-pro */
[data-layout-name="mountains"] .main [data-module-template="heroes"] [data-unit-id="macbook-pro-enhanced"] {
	height: var(--content-height) !important;
}

[data-layout-name="mountains"] .main [data-module-template="heroes"] [data-unit-id="macbook-pro-enhanced"] .module-content {
	height: var(--content-height) !important;
}

[data-layout-name="mountains"] .main [data-module-template="heroes"] [data-unit-id="macbook-pro-enhanced"] .module-content .unit-wrapper {
	height: var(--content-height) !important;
}

@media only screen and (max-width: 1068px) {
	.main [data-module-template="promos"] [data-unit-id="macbook-pro"] .unit-copy-wrapper .callout-top {
		max-width: 285px;
	}
} /* end promos/macbook-pro */

/* start promos/apple-watch-series-11 */
@media only screen and (max-width: 734px) {
	.main [data-module-template="promos"] [data-unit-id="apple-watch-series-11"] .unit-wrapper .unit-copy-wrapper .subhead {
		max-width: 240px;
	}
}
/* end promos/apple-watch-series-11 */

/* start promos/ipad-pro */
.main [data-module-template="promos"] [data-unit-id="ipad-pro"] .unit-copy-wrapper .subhead {
	max-width: 340px;
}

@media only screen and (max-width: 1068px) {
	.main [data-module-template="promos"] [data-unit-id="ipad-pro"] .unit-copy-wrapper .subhead {
		max-width: 310px;
	}
} /* end promos/ipad-pro */
